<div class="box-body">

<div class="padd-lr10">
<div class="box boxStyle2 infoBox margin-b15">
<div class="padd10t">

<table id="tableN" class="col-md-12">
<tr class='tabTop'>
<td colspan="2">

<?PHP 
define("DATA_FILE", $targetedX);
extract($_POST);
$metaTitle=($_POST['metaTitle']);
$metaDescription=($_POST['metaDescription']);
$metaKeywords=($_POST['metaKeywords']);
$metaWebcode=($_POST['metaWebcode']);
$metaAuthor=($_POST['metaAuthor']);
$metaPublisher=($_POST['metaPublisher']);
$metaCopyright=($_POST['metaCopyright']);
$metaRevisitafter=($_POST['metaRevisitafter']);
$metaRobots=($_POST['metaRobots']);
$metaLanguage=($_POST['metaLanguage']);
$metaGenerator=($_POST['metaGenerator']);
$LMsCheck=($_POST['LMsCheck']);
$metaSoftware=($_POST['metaSoftware']);

if (isset($_POST['save'])) {
if (strlen(@$_POST[metaTitle])<=0){@$_POST[metaTitle]="";}
if (strlen(@$_POST[metaDescription])<=0){@$_POST[metaDescription]="";}
if (strlen(@$_POST[metaKeywords])<=0){@$_POST[metaKeywords]="";}
if (strlen(@$_POST[metaWebcode])<=0){@$_POST[metaWebcode]="";}
if (strlen(@$_POST[metaAuthor])<=0){@$_POST[metaAuthor]="";}
if (strlen(@$_POST[metaPublisher])<=0){@$_POST[metaPublisher]="";}
if (strlen(@$_POST[metaCopyright])<=0){@$_POST[metaCopyright]="";}
if (strlen(@$_POST[metaRevisitafter])<=0){@$_POST[metaRevisitafter]="";}
if (strlen(@$_POST[metaRobots])<=0){@$_POST[metaRobots]="";}
if (strlen(@$_POST[metaLanguage])<=0){@$_POST[metaLanguage]="";}
if (strlen(@$_POST[metaGenerator])<=0){@$_POST[metaGenerator]="";}
if (strlen(@$_POST[LMsCheck])<=0){@$_POST[LMsCheck]="";}
if (strlen(@$_POST[metaSoftware])<=0){@$_POST[metaSoftware]="";}
$Message=SaveData();}
else{
@die ("
<span class='resF'>".$resultFalse."</span>
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
");
return ($tag);
}

function SaveData(){
$tag='';
$patterns=array();
$replacements=array();
$content=file(DATA_FILE);
$t=chr(34);

$patterns[0]='/metaTitle=(.+?);/';
$patterns[1]='/metaDescription=(.+?);/';
$patterns[2]='/metaKeywords=(.+?);/';
$patterns[3]='/metaWebcode=(.+?);/';
$patterns[4]='/metaAuthor=(.+?);/';
$patterns[5]='/metaPublisher=(.+?);/';
$patterns[6]='/metaCopyright=(.+?);/';
$patterns[7]='/metaRevisitafter=(.+?);/';
$patterns[8]='/metaRobots=(.+?);/';
$patterns[9]='/metaLanguage=(.+?);/';
$patterns[10]='/metaGenerator=(.+?);/';
$patterns[11]='/LMsCheck=(.+?);/';
$patterns[12]='/metaSoftware=(.+?);/';

@$replacements[0]=sprintf("metaTitle=%s%s%s;",$t,$_POST[metaTitle],$t);
@$replacements[1]=sprintf("metaDescription=%s%s%s;",$t,$_POST[metaDescription],$t);
@$replacements[2]=sprintf("metaKeywords=%s%s%s;",$t,$_POST[metaKeywords],$t);
@$replacements[3]=sprintf("metaWebcode=%s%s%s;",$t,$_POST[metaWebcode],$t);
@$replacements[4]=sprintf("metaAuthor=%s%s%s;",$t,$_POST[metaAuthor],$t);
@$replacements[5]=sprintf("metaPublisher=%s%s%s;",$t,$_POST[metaPublisher],$t);
@$replacements[6]=sprintf("metaCopyright=%s%s%s;",$t,$_POST[metaCopyright],$t);
@$replacements[7]=sprintf("metaRevisitafter=%s%s%s;",$t,$_POST[metaRevisitafter],$t);
@$replacements[8]=sprintf("metaRobots=%s%s%s;",$t,$_POST[metaRobots],$t);
@$replacements[9]=sprintf("metaLanguage=%s%s%s;",$t,$_POST[metaLanguage],$t);
@$replacements[10]=sprintf("metaGenerator=%s%s%s;",$t,$_POST[metaGenerator],$t);
@$replacements[11]=sprintf("LMsCheck=%s%s%s;",$t,$_POST[LMsCheck],$t);
@$replacements[12]=sprintf("metaSoftware=%s%s%s;",$t,$_POST[metaSoftware],$t);

if ($fp=fopen(DATA_FILE,"w")){
$tag="<?PHP \n";
include("./../languages/$_COOKIE[xlanguage]/general.inc.php");
@print_r("<span class='resT'>".$resultTrue."</span>");
fputs($fp,$tag,strlen($tag));
for ($i=1;$i < count($content);$i++){
$check=$content[$i];
$check=(preg_replace($patterns,$replacements,$check));
$check=preg_replace("/\r|\r/s", "\r", $check);
include("./../function/savecheck.inc.php");
if (strlen($check)> 0) $content[$i]=$check;
$line=sprintf('%s',$content[$i]);
fputs($fp,$line,strlen($line));
}
fclose($fp);
}
}

include("./../function/forward-s-ew.inc.php");
include("./../function/autoX.inc.php");
echo "
<br>
<br>
<a href='$elink?webX=$webX'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
";
?>
</td>
</tr>

</table>
<div class="clearX box-footer"></div>
</div>
</div>
</div>
</div>
